﻿using System;
using System.Collections.ObjectModel;

namespace BaseApplicationProject.ViewModels
{
    public class MainViewModel
    {
        public ObservableCollection<CategoryViewModel> Categories { get; set; }

        public MainViewModel()
        {
            Categories = new ObservableCollection<CategoryViewModel>();

            CategoryViewModel beverages = new CategoryViewModel();
            beverages.Name = "Bevereges";

            for (int i = 0; i < 5; i++)
            {               

                CategoryViewModel prod = new CategoryViewModel()
                {
                    Name = String.Format("Beverage {0}", i)
                };

                if (i == 3)
                {
                    prod.IsDropForbidden = true;
                    prod.Name += " - drop is forbidden";
                }

                for (int j = 0; j < 3; j++)
                {
                    var subCategory = new CategoryViewModel()
                    {
                        Name = String.Format("SubBeverage {0}.{1}", i, j)
                    };

                    prod.SubCategories.Add(subCategory);
                }
                beverages.SubCategories.Add(prod);
            }
            Categories.Add(beverages);


            CategoryViewModel confections = new CategoryViewModel();
            confections.Name = "Confections";
            for (int i = 0; i < 7; i++)
            {
                confections.SubCategories.Add(new CategoryViewModel()
                {
                    Name = String.Format("Confection {0}", i)
                });
            }
            Categories.Add(confections);

            CategoryViewModel condiments = new CategoryViewModel();
            condiments.Name = "Condiments";
            for (int i = 0; i < 3; i++)
            {
                condiments.SubCategories.Add(new CategoryViewModel()
                {
                    Name = String.Format("Condiment {0}", i)
                });
            }
            Categories.Add(condiments);

        }
    }
}
